package com.biganto.visual.roompark.presentation.screen.deal

import com.biganto.visual.roompark.conductor.BigantoBaseViewState
import com.biganto.visual.roompark.domain.model.DealModel
import com.biganto.visual.roompark.domain.model.PlanPresetModel
import com.biganto.visual.roompark.presentation.screen.estate.DealScreenViewState
import com.biganto.visual.roompark.presentation.screen.estate.util.DisplayInfoModel
import com.biganto.visual.roompark.util.monades.ExceptionString

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */


sealed class DealScreenViewState : BigantoBaseViewState() {
    class Idle : DealScreenViewState()
    class LoadDeal(val estate:DealModel) : DealScreenViewState()
    class SomeError(val exception: ExceptionString) : DealScreenViewState()
}